Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Class MergeContainedAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.BaseSelectionListenerAction
        - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction
          - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeContainedAction
            - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeContainedAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.jface.viewers.ISelectionChangedListener`

    public class MergeContainedAction
    extends AbstractMergeContainedAction

This action will merge all differences contained in the selection, regardless of conflicts or originating side.

This will allow the user to either get the right content or keep the left content for the given differences.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeContainedAction

`isFiltered`

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction

`editingDomain, mergerRegistry`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`MergeContainedAction​(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IMergeRunnable` `createMergeRunnable​(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected Predicate<Diff>` `getDiffPredicate()` Return a predicate that filters the {`selected differences` to just those differences this action will actually operate upon.
`protected void` `initToolTipAndImage​(MergeMode mode)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeContainedAction

`getSelectedDifferences, updateSelection`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction

`clearCache, contextualizeTooltip, execute, executeCompareCopyCommand, getDiffRelationshipComputer, getSelectedDifferences, getSelectedDifferences, getSelectedMode, getStatePredicate, isLeftEditable, isLeftToRight, isMirrored, isRightEditable, run, setAdapterFactory, setEditingDomain`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeContainedAction

    public MergeContainedAction​(IEMFCompareConfiguration compareConfiguration,
                                IMerger.Registry mergerRegistry,
                                MergeMode mode,
                                org.eclipse.compare.INavigatable navigatable,
                                org.eclipse.jface.viewers.IStructuredSelection selection,
                                Predicate<TreeNode> isFiltered)

### Method Detail

#### createMergeRunnable

    protected IMergeRunnable createMergeRunnable​(MergeMode mode,
                                                 boolean isLeftEditable,
                                                 boolean isRightEditable,
                                                 IDiffRelationshipComputer relationshipComputer)

Overrides:
  `createMergeRunnable` in class `MergeAction`

#### initToolTipAndImage

    protected void initToolTipAndImage​(MergeMode mode)

Overrides:
  `initToolTipAndImage` in class `MergeAction`

#### getDiffPredicate

    protected Predicate<Diff> getDiffPredicate()

Description copied from class: `AbstractMergeContainedAction`
Return a predicate that filters the {`selected differences` to just those differences this action will actually operate upon.

Specified by:
  `getDiffPredicate` in class `AbstractMergeContainedAction`
Returns:
  a predicate that filters the {`selected differences`.